/* ==========================================================
   LOADER GLOBAL - BOTÕES
========================================================== */

.botao-carregando {
    pointer-events: none !important;
    cursor: wait !important;
    opacity: 0.85;
}

/* Círculo de carregamento */
.loader-global {
    display: inline-block;

    width: 14px;
    height: 14px;

    border: 2px solid rgba(255, 255, 255, 0.45);
    border-top: 2px solid #ffffff;

    border-radius: 50%;

    animation: girarLoaderGlobal 0.7s linear infinite;

    flex-shrink: 0;

    margin-right: 6px;
}

@keyframes girarLoaderGlobal {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}



/* ==========================================================
   TRANSIÇÃO E LOADER AUTOMÁTICO
========================================================== */

body {
    opacity: 0;
    transition: opacity 0.8s ease;
}

body.pagina-visivel {
    opacity: 1;
}

body.pagina-saindo {
    opacity: 0.35;
}


/* ==========================================================
   LOADER CENTRAL
========================================================== */

body.pagina-saindo::after {
    content: "";

    position: fixed;

    top: 50%;
    left: 50%;

    width: 38px;
    height: 38px;

    margin-left: -19px;
    margin-top: -19px;

    border: 4px solid rgba(255, 255, 255, 0.35);
    border-top-color: #3470F3;

    border-radius: 50%;

    animation: loaderPagina 0.7s linear infinite;

    z-index: 999999;
}

@keyframes loaderPagina {

    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}